# PrimitiveFormsList Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveFormsList:
[legend]

List of all members.

## Public Member Functions

| clean ()
| setComposite ($composite=true)
| getInnerErrors ()
| import ($scope)
| importValue ($value)
| exportValue ()

## Protected Attributes

| $value = array()

## Detailed Description

Definition at line 15 of file PrimitiveFormsList.class.php.

## Member Function Documentation

PrimitiveFormsList::clean | ( |  | ) |

Returns:
  PrimitiveFormsList

Reimplemented from BasePrimitive.

Definition at line 22 of file PrimitiveFormsList.class.php.

PrimitiveFormsList::exportValue | ( |  | ) |

Reimplemented from PrimitiveForm.

Definition at line 104 of file PrimitiveFormsList.class.php.

References BasePrimitive::isImported().

Here is the call graph for this function:

PrimitiveFormsList::getInnerErrors | ( |  | ) |

Reimplemented from PrimitiveForm.

Definition at line 38 of file PrimitiveFormsList.class.php.

References BasePrimitive::getValue().

Here is the call graph for this function:

PrimitiveFormsList::import | ( | $ | scope | ) |

Reimplemented from PrimitiveForm.

Definition at line 50 of file PrimitiveFormsList.class.php.

References $value, and BasePrimitive::import().

Here is the call graph for this function:

PrimitiveFormsList::importValue | ( | $ | value | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveForm

Reimplemented from PrimitiveForm.

Definition at line 79 of file PrimitiveFormsList.class.php.

References $value, Assert::isArray(), and Assert::isInstance().

Here is the call graph for this function:

PrimitiveFormsList::setComposite | ( | $ | composite = `true` | ) |

Returns:
  PrimitiveForm

Either composition or aggregation, it is very important on import.

Reimplemented from PrimitiveForm.

Definition at line 31 of file PrimitiveFormsList.class.php.

## Member Data Documentation

PrimitiveFormsList::$value = array()`[protected]`

Reimplemented from BasePrimitive.

Definition at line 17 of file PrimitiveFormsList.class.php.

Referenced by import(), and importValue().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveFormsList.class.php